Difference between revisions of "Hudson-ci/development/third party libraries/3.0.0M3"

From Eclipsepedia

Jump to: navigation, search
(Status)
(Detail For hudson-core)
 
(36 intermediate revisions by 2 users not shown)
Line 16: Line 16:
 
|-
 
|-
 
| Approved CQs  
 
| Approved CQs  
| 44
+
| 62
 
|-
 
|-
 
| CQs in parallel approval  
 
| CQs in parallel approval  
| 8
+
| 1
 
|-
 
|-
| CQs awaiting initial approval
+
| CQs awaiting initial approval  
| 16
+
| 2
 
|-
 
|-
 
| New CQs created for this release so far (upgrades etc.)  
 
| New CQs created for this release so far (upgrades etc.)  
|  
+
| 1
 
|-
 
|-
| Additional CQ's Required
+
| Additional CQ's Required  
 
| 1 (possible)
 
| 1 (possible)
 
|-
 
|-
| JARs to be removed or Rejected
+
| JARs to be removed or Rejected  
| 6
+
| 5
 
|}
 
|}
  
Line 38: Line 38:
 
=== To Dos  ===
 
=== To Dos  ===
  
#Migration to Antlr 3 - Tracked by Bugzilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=377056 377056]  
+
#Migration to Antlr 3 - Tracked by Bugzilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=377056 377056] '''In Progress''' Changes pushed to eclipse for Winston review
#Replacement of jline with alternative Command Line (e.g. Equinox console)  
+
#Downgrade of JTidy to jtidy-04aug2000r7. Tracked by BugZilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=380806 380806]
#jsr305-1.3.9.jar is still shipped and should be removed  
+
#Replace JAXEN and remove associated Libs (jaxen and xom) Tracked by Bugzilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=377907 377907] '''In Progress''' jaxen is used by jelly
#Check where jaxb-impl-2.2.5.jar came from - is this to replace jaxen? '''Done''' - not needed will be removed
+
#Replacement of jline with alternative Command Line (e.g. Equinox console) - Decision was to remove this function for now Tracked by BugZilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=377908 377908]
#Check where metainf-services-1.2.jar came from - is this needed? - KK code contains 2 classes only '''Done''' - not needed will be removed
+
#jsr305-1.3.9.jar is still shipped and should be removed. Tracked by BugZilla [https://bugs.eclipse.org/bugs/show_bug.cgi?id=377913 377913]
 +
#Check where jaxb-impl-2.2.5.jar came from ? '''Done''' - not needed will be removed  
 +
#Check where metainf-services-1.2.jar came from - is this needed? - KK code contains 2 classes only '''Done''' - not needed will be removed  
 
#Check where xmlpull-1.1.3.4d_b4_min.jar came from - is this needed? (http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/), '''Done''' Yes this needed
 
#Check where xmlpull-1.1.3.4d_b4_min.jar came from - is this needed? (http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/), '''Done''' Yes this needed
  
Line 61: Line 63:
 
| annotation-indexer-1.2.jar  
 
| annotation-indexer-1.2.jar  
 
| {{Cq|5569}}  
 
| {{Cq|5569}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 69: Line 71:
 
|  
 
|  
 
|-
 
|-
| antlr-2.7.7.jar  
+
| antlr-3.jar  
 
| {{Cq|6140}}  
 
| {{Cq|6140}}  
| Rejected
+
| Y
 
| We've commuted the GQ to Antlr 3.0 which is approved 
 
| We've commuted the GQ to Antlr 3.0 which is approved 
 
|-
 
|-
Line 81: Line 83:
 
| args4j-2.0.16.jar  
 
| args4j-2.0.16.jar  
 
| {{Cq|5570}}  
 
| {{Cq|5570}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 91: Line 93:
 
| aspectjrt-1.6.11.jar  
 
| aspectjrt-1.6.11.jar  
 
| Not Required  
 
| Not Required  
|  
+
| Y
 
| Eclipse Project
 
| Eclipse Project
 
|-
 
|-
 
| aspectjweaver-1.6.11.jar  
 
| aspectjweaver-1.6.11.jar  
 
| Not Required  
 
| Not Required  
|  
+
| Y
 
| Eclipse Project
 
| Eclipse Project
 
|-
 
|-
Line 121: Line 123:
 
| commons-digester3-3.0.jar  
 
| commons-digester3-3.0.jar  
 
| {{Cq|6141}}  
 
| {{Cq|6141}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 141: Line 143:
 
| commons-jelly-1.1-hudson-20100305.jar  
 
| commons-jelly-1.1-hudson-20100305.jar  
 
| {{Cq|6155}}  
 
| {{Cq|6155}}  
|  
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| commons-jelly-tags-define-1.0.1-hudson-20071021.jar  
 
| commons-jelly-tags-define-1.0.1-hudson-20071021.jar  
 
| {{Cq|6188}}  
 
| {{Cq|6188}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 166: Line 168:
 
| commons-jexl-2.0.1.jar  
 
| commons-jexl-2.0.1.jar  
 
| {{Cq|5684}}  
 
| {{Cq|5684}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 191: Line 193:
 
| ezmorph-1.0.6.jar  
 
| ezmorph-1.0.6.jar  
 
| {{Cq|5686}}  
 
| {{Cq|5686}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
| ganymed-ssh-2-build260.jar  
+
| <strike>ganymed-ssh-2-build260.jar</strike>
| {{Cq|5765}}  
+
| <strike>{{Cq|5765}}</strike>
| Awaiting Approval
+
| Withdrawn
| May need to switch to JSCH
+
| Switched to basic bundled Java functionality
 
|-
 
|-
 
| gossip-bootstrap-1.7.jar  
 
| gossip-bootstrap-1.7.jar  
Line 216: Line 218:
 
| <strike>jaxb-impl-2.2.5.jar</strike>  
 
| <strike>jaxb-impl-2.2.5.jar</strike>  
 
| {{Cq|}}  
 
| {{Cq|}}  
| Not needed, will be removed in release distro
+
| Not needed, will be removed in release distro  
 
|  
 
|  
 
|-
 
|-
| jaxen-1.1.3.jar  
+
| <strike>jaxen-1.1.3.jar</strike>
 
| {{Cq|5692}}  
 
| {{Cq|5692}}  
| Rejected  
+
| Rejected<span class="Apple-tab-span" style="white-space:pre"> </span>
|  
+
| Replace this Bugzilla&nbsp;377907
 
|-
 
|-
 
| jdom-1.0.jar  
 
| jdom-1.0.jar  
Line 244: Line 246:
 
| Eclipse Project
 
| Eclipse Project
 
|-
 
|-
| jline-0.9.94.jar  
+
| <strike>jline-0.9.94.jar</strike>
 
| {{Cq|5727}}  
 
| {{Cq|5727}}  
 
| Rejected  
 
| Rejected  
| Equinox console is a possible W/A
+
| Removed Command Line for now
 
|-
 
|-
 
| jmdns-3.4.0.jar  
 
| jmdns-3.4.0.jar  
 
| {{Cq|5728}}  
 
| {{Cq|5728}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| jna-posix-1.0.3.jar  
 
| jna-posix-1.0.3.jar  
 
| {{Cq|5730}}  
 
| {{Cq|5730}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| json-lib-2.4-jdk15.jar  
 
| json-lib-2.4-jdk15.jar  
 
| {{Cq|6129}}  
 
| {{Cq|6129}}  
| Awaiting Approval
+
| Y
|  
+
| provenance email initiated
 
|-
 
|-
 
| <strike>jsr305-1.3.9.jar</strike>  
 
| <strike>jsr305-1.3.9.jar</strike>  
Line 276: Line 278:
 
| jtidy-r938.jar  
 
| jtidy-r938.jar  
 
| {{Cq|6191}}  
 
| {{Cq|6191}}  
| Awaiting Approval
+
| Y
|  
+
| From CQ: only approved version is 04aug20007 dated 2001-08-01 need to downgrade - that version is approved for us
 
|-
 
|-
 
| localizer-1.10.jar  
 
| localizer-1.10.jar  
 
| {{Cq|5767}}  
 
| {{Cq|5767}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 306: Line 308:
 
| sezpoz-1.9.jar  
 
| sezpoz-1.9.jar  
 
| {{Cq|5733}}  
 
| {{Cq|5733}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| sisu-guice-3.0.3-no_aop.jar  
 
| sisu-guice-3.0.3-no_aop.jar  
 
| {{Cq|6207}}  
 
| {{Cq|6207}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| sisu-inject-bean-2.2.3.jar  
 
| sisu-inject-bean-2.2.3.jar  
 
| {{Cq|6208}}  
 
| {{Cq|6208}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 361: Line 363:
 
| spring-ldap-1.2.1.jar  
 
| spring-ldap-1.2.1.jar  
 
| {{Cq|6209}}  
 
| {{Cq|6209}}  
| Awaiting Approval
+
| Y
|  
+
| Provenance email initiated....
 
|-
 
|-
 
| spring-security-acl-2.0.7.RELEASE.jar  
 
| spring-security-acl-2.0.7.RELEASE.jar  
 
| {{Cq|5822}}  
 
| {{Cq|5822}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| spring-security-core-2.0.7.RELEASE.jar  
 
| spring-security-core-2.0.7.RELEASE.jar  
 
| {{Cq|5822}}  
 
| {{Cq|5822}}  
| P
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 391: Line 393:
 
| task-reactor-1.2.jar  
 
| task-reactor-1.2.jar  
 
| {{Cq|5769}}  
 
| {{Cq|5769}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
 
| tiger-types-1.3.jar  
 
| tiger-types-1.3.jar  
 
| {{Cq|6215}}  
 
| {{Cq|6215}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 406: Line 408:
 
| xml-apis-1.0.b2.jar  
 
| xml-apis-1.0.b2.jar  
 
| {{Cq|6217}}  
 
| {{Cq|6217}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 419: Line 421:
 
|  
 
|  
 
|-
 
|-
| xom-1.0.jar  
+
| <strike>xom-1.0.jar</strike>
 
| {{Cq| }}  
 
| {{Cq| }}  
 
|  
 
|  
Line 426: Line 428:
 
| xpp3-1.1.4c.jar  
 
| xpp3-1.1.4c.jar  
 
| {{Cq|6229}}  
 
| {{Cq|6229}}  
| Awaiting Approval
+
| P
 
|  
 
|  
 
|-
 
|-

Latest revision as of 12:50, 24 July 2012

Hudson Continuous Integration Server
Website
Download
Community
Mailing ListForumsIRC
Bugzilla
Open
Help Wanted
Bug Day
Contribute
Browse Source
Hudson-bust.png Library Usage:
Hudson 3.0.0 Milestone 3











Contents

[edit] Status

This page reflects the libraries packaged within the Hudson 3.0.0 Milestone 3 build - Work In progress

[edit] Summary

As Of Date
Total No. JARs 76
Approved CQs 62
CQs in parallel approval 1
CQs awaiting initial approval 2
New CQs created for this release so far (upgrades etc.) 1
Additional CQ's Required 1 (possible)
JARs to be removed or Rejected 5

Note: Some CQs cover more than one JAR file hence No. CQ != No. JARs

[edit] To Dos

  1. Migration to Antlr 3 - Tracked by Bugzilla 377056 In Progress Changes pushed to eclipse for Winston review
  2. Downgrade of JTidy to jtidy-04aug2000r7. Tracked by BugZilla 380806
  3. Replace JAXEN and remove associated Libs (jaxen and xom) Tracked by Bugzilla 377907 In Progress jaxen is used by jelly
  4. Replacement of jline with alternative Command Line (e.g. Equinox console) - Decision was to remove this function for now Tracked by BugZilla 377908
  5. jsr305-1.3.9.jar is still shipped and should be removed. Tracked by BugZilla 377913
  6. Check where jaxb-impl-2.2.5.jar came from ? Done - not needed will be removed
  7. Check where metainf-services-1.2.jar came from - is this needed? - KK code contains 2 classes only Done - not needed will be removed
  8. Check where xmlpull-1.1.3.4d_b4_min.jar came from - is this needed? (http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/), Done Yes this needed

[edit] Detail For hudson-core

Jar CQ Approved Notes
activation-1.1.1.jar

5774

Y
annotation-indexer-1.2.jar

5569

Y
ant-1.8.2.jar

5621

Y
antlr-3.jar

6140

Y We've commuted the GQ to Antlr 3.0 which is approved 
aopalliance-1.0.jar

5772

Y
args4j-2.0.16.jar

5570

Y
asm-all-2.2.3.jar

5572

Y
aspectjrt-1.6.11.jar Not Required Y Eclipse Project
aspectjweaver-1.6.11.jar Not Required Y Eclipse Project
commons-beanutils-1.8.0.jar

5599

Y
commons-codec-1.4.jar

5601

Y
commons-collections-3.2.jar

5602

Y
commons-digester-1.7.jar

5603

Y
commons-digester3-3.0.jar

6141

Y
commons-discovery-0.4.jar

5604

Y
commons-fileupload-1.2.1.jar

5605

Y
commons-io-2.0.1.jar

6105

Y
commons-jelly-1.1-hudson-20100305.jar

6155

Y
commons-jelly-tags-define-1.0.1-hudson-20071021.jar

6188

Y
commons-jelly-tags-fmt-1.0.jar

5682

Y
commons-jelly-tags-xml-1.1.jar

5683

Y
commons-jexl-1.1-hudson-20090508.jar

No CQ

Note we have 2.0.1 in the approval process do we need this as well? Winston checking.
commons-jexl-2.0.1.jar

5684

Y
commons-lang-2.4.jar

5609

Y
commons-lang3-3.0.1.jar

6116

Y
commons-logging-1.1.1.jar

5607

Y
dom4j-1.6.1-hudson-3.jar

6108

Y
ezmorph-1.0.6.jar

5686

Y
ganymed-ssh-2-build260.jar

5765

Withdrawn Switched to basic bundled Java functionality
gossip-bootstrap-1.7.jar

5687

Y
gossip-support-1.7.jar

5688

Y
guava-10.0.1.jar

6109

Y
jaxb-impl-2.2.5.jar

No CQ

Not needed, will be removed in release distro
jaxen-1.1.3.jar

5692

Rejected Replace this Bugzilla 377907
jdom-1.0.jar

6112

Y
jetty.jar (6.1.26) Not Required Eclipse Project
jetty-servlet-api.jar (6.1.26) Not Required Eclipse Project
jetty-util.jar (6.1.26) Not Required Eclipse Project
jline-0.9.94.jar

5727

Rejected Removed Command Line for now
jmdns-3.4.0.jar

5728

Y
jna-posix-1.0.3.jar

5730

Y
json-lib-2.4-jdk15.jar

6129

Y provenance email initiated
jsr305-1.3.9.jar

6185

Withdrawn Should be removed
jstl-1.1.0.jar

5732

Y
jtidy-r938.jar

6191

Y From CQ: only approved version is 04aug20007 dated 2001-08-01 need to downgrade - that version is approved for us
localizer-1.10.jar

5767

Y
log4j-1.2.13.jar

5620

Y
mail-1.4.jar

5693

Y
metainf-services-1.2.jar

No CQ

Not needed, will be removed in release distro
servlet-api-2.4.jar

5694

Y
sezpoz-1.9.jar

5733

Y
sisu-guice-3.0.3-no_aop.jar

6207

Y
sisu-inject-bean-2.2.3.jar

6208

Y
slf4j-api-1.6.1.jar

5563

Y
slf4j-jdk14-1.6.1.jar

5565

Y
spring-aop-2.5.6.jar

5755

Y
spring-beans-2.5.6.jar

5754

Y
spring-context-2.5.6.jar

6114

Y
spring-core-2.5.6.jar

5753

Y
spring-dao-2.0.8.jar

5820

Y
spring-jdbc-2.5.6.jar

5760

Y
spring-ldap-1.2.1.jar

6209

Y Provenance email initiated....
spring-security-acl-2.0.7.RELEASE.jar

5822

Y
spring-security-core-2.0.7.RELEASE.jar

5822

Y
spring-support-2.0.8.jar

5756

Y
spring-tx-2.5.6.jar

5757

Y
spring-web-2.5.6.jar

5758

Y
task-reactor-1.2.jar

5769

Y
tiger-types-1.3.jar

6215

Y
xalan-2.6.0.jar

6127

Y
xml-apis-1.0.b2.jar

6217

Y
xmlParserAPIs-2.6.2.jar

6220

Y
xmlpull-1.1.3.4.jar

6470

Y
xom-1.0.jar

No CQ

Note this Library is LGPL (see: http://mmilinkov.wordpress.com/2009/04/30/lgpl-pain/). Assume it will need to be replaced
xpp3-1.1.4c.jar

6229

P
xstream-1.4.1-hudson-2.jar

5771

Y